> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Restart Job

> Unified endpoint to restart different types of the jobs.

It sets the job status to SUBMITTED, and send SQS message so worker can pick it up and run.

Args:
    job_id (str): ID of the job.
    user (User): User authenticated with api key.

Returns:
   BaseModel: The Job pydantic model object.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json post /jobs/{job_id}/restart
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.3.0
servers: []
security: []
paths:
  /jobs/{job_id}/restart:
    post:
      summary: Restart Job
      description: >-
        Unified endpoint to restart different types of the jobs.


        It sets the job status to SUBMITTED, and send SQS message so worker can
        pick it up and run.


        Args:
            job_id (str): ID of the job.
            user (User): User authenticated with api key.

        Returns:
           BaseModel: The Job pydantic model object.
      operationId: restart_job_jobs__job_id__restart_post
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````